"Description: 
An install script for Dandelion 0.4
Edit settings and file-in.

Copyright (C) 2000-2001 Masashi Umezawa

"!

| dir htmlInstall smixInstall petalInstall fullPath core html smix petal |

"settings -  edit if you like"
dir := 'dandelion0.4'.
htmlInstall := true.
smixInstall := true.
petalInstall := true.

"install main - edit if you like (normally you don't have to)"
fullPath := FileDirectory default fullNameFor: dir.
core := #(
'Dandelion-utils.st'
'Dandelion-exceptions.st'
'Dandelion-event.st'
'Dandelion-introspector.st'
'Dandelion-analysis-storage.st'
'Dandelion-introspect-strategy.st'
'Dandelion-analysis-strategy.st'
'Dandelion-resolve-strategy.st'
'Dandelion-analyzable.st'
'Dandelion-outputter.st'
'Dandelion-facade.st'
).

html := #(
'Dandelion-dynamic-document.st'
'Dandelion-dynDoc-html.st'
'Dandelion-outputter-html.st'
).

smix := #(
'Dandelion-SMIX-element.st'
'Dandelion-outputter-SMIX.st'
).

petal := #(
'Dandelion-ptl-utils.st'
'Dandelion-ptl-element.st'
'Dandelion-outputter-ptl.st'
).

core do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].

htmlInstall ifTrue:[
html do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

smixInstall ifTrue:[
smix do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

petalInstall ifTrue:[
petal do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

"program initialization"
DlDandelionSystem initialize.
DlDandelionSystem inform: 'Dandelion0.4 installation succeeded'.

! 

"end of script"!
